@import url("/css/reset.css");
@import url("/css/style-common.css");
@import url("/js/jquery-ui.1.12.css");
@import url("/js/jquery-ui/jquery-ui.theme.min.css");

@font-face {
    font-family: 'NewCicleFina';
    src:  url('/css/NewCicleFina-webfont.ttf') format('truetype');
}
@font-face {
    font-family: 'Montserrat';
    src:  url('/css/Montserrat-Regular.ttf') format('truetype');
}
/*@font-face {
    font-family: 'Verdana';
    src:  url('/css/Verdana.ttf') format('truetype');
}*/
@font-face {
    font-family: 'Catamaran';
    src:  url('/css/Catamaran/Catamaran-Regular.ttf') format('truetype');
}


.site-sans {font-family: Verdana, Arial, Helvetica, Sans-serif;}
.site-serif {font-family: 'Catamaran';}
.site-script {font-family: 'NewCicleFina';}
.site-block {font-family: 'Montserrat';}
.site-slick {font-family: 'NewCicleFina';}

/*  Main site layout  */

BODY, HTML {
  font-family: Verdana, Arial, Helvetica, Sans-serif;
  font-size: 14pt;
  line-height:22px;
  background-color: white;
}


/*BODY, HTML, TABLE, TD, SPAN, DIV {
  font-size: 100%;
}

*/

h1 {
  color: #333;
  font-weight:bold;
  font-size: 18px;
}

h2 {
  color: #514a41;
  font-weight:bold;
  font-size: 16px;
}

h3 {
  color: #666;
  font-weight:bold;
  font-size: 14px;
}

ul {
  /*list-style-image: url('/css/glyphicons_free/glyphicons/png/glyphicons-249-asterisk.png');*/
  list-style-position: inside;
}

/*a {text-decoration:none;}
*/

/*ul {
  margin-left:20px;
}*/

#site-messages {width:900px; margin:6px auto 5px 60px; padding:5px}

#header {
  position:relative;
  width:100%;
  max-height:160px;
  min-height:32px;
  height:100%;  
  background: black;
  line-height:12px;

}
#header.changed {
  /*line-height: 100%;*/
  height: 32px;
  background: black;
  /*background-image: none;*/
  transition: visibility 0.3s ease-in-out;
  font-size:12pt;
/*  background-size: auto 85%;
  background-position: top 2px left;*/
}


#header a {
  font-weight: bold;
}


#content {
  position: relative;
  color:#4d4d4d;
  background: transparent, min-height: 300px;
  width:100%;
  max-width:975px;
  min-height:480px;
  margin:0 auto;
  padding-top: 5px;
  border-radius: 5px;
  transition: padding 0.3s ease-in-out;
}

#footer {
  position: relative;
  background: black;
  background-repeat: no-repeat;  
  background-size: 35% auto;
  background-position: 65%;
  height: 200px;
  margin: 0 auto;
  width: 100%;
  bottom:0;
  -webkit-box-shadow: 0 0 50px rgba(0,0,0,0.8);
  box-shadow: 0 0 50px rgba(0,0,0,0.8);
  color:silver;
}

#footer #copyright {
  position:absolute;
  bottom:5px;
  right:5px;
  font-size: 9pt;
}


#sub_nav_menu {
  margin:5px 0 5px 0;
}

#header_bottom a.selected_menu, #footer a.selected_menu {
      color: #fa8072;
}

.contact_form input , .contact_form textarea {
  width: 100%;
  padding: 16px;
  border: none;
  border-radius: 0;
  color: #999;
  background-color: #eee;
  font-size: 14px;
}

.fancy_box {
  border:1px solid silver;
  border-radius: 4px;
  box-shadow: 1px 1px 1px silver;
  margin:0 auto;
  padding:10px;
}

.fancy_button, a.fancy_button {
  display:inline-block;
  padding:10px 15px;
  border:2px solid maroon;
  color:maroon;
  background-color:white;
  border-radius:4px;
  font-size: 20pt !important;
  font-family: "Montserrat",sans-serif;
  cursor: pointer;
}
.fancy_button:hover, a.fancy_button:hover {
  color:red;
  border:2px solid transparent;
  background-color:#cecece;
  text-shadow:1px 1px 1px gray;
}

a.fancy_button .fancy_button_arrow {
  float:right;
  padding-left:10px;
  font-size:20pt;
}














/*  Site Widgets  */

/*
label[aria-pressed=true] span {background-color:black;color:silver} //temp hack, remove after updating ui theme
*/
#login_welcome {
  padding: 0 10px 0 5px;
  color: #fff;
}

#login_form {
  width:260px;
  color:#fff;
}

#login_welcome, #login_form .login input, #login_form label {
  float:left;
  font-size: 10pt;
  font-family: 'Catamaran';
  font-weight: bold;
  line-height: normal;
}
#login_form label {
  text-align: right;
  padding: 0 5px;
  font-size: 9pt;
}
#login_form .login input {
  padding: 1px 0 1px 5px;
  height:18px;

  /*margin-top: 2px;*/
  width:60px;
  border-radius: 0px;
  border: none;
  outline: none;
  background-color: gray;
}

#login_form .forgot input[type="image"] {
  border:1px solid gray;
  max-width: 18px;
  width: 100%;
  margin-bottom: 1px;
  margin-right: 0px;
  background: gray;
}


#login_dashboard_link {
  color:#fff;
  float: left;
  padding-right: 5px;
  /*padding-top: 3px;*/
  font-family: 'Catamaran';
  font-size: 9pt;
  font-weight: bold;
  line-height: normal;
}

#logout_box {
  line-height: normal;
  font-size: 10pt;
}

#logout_box #logout_form {
  float: left;
}

#logout_box #logout_form button, #login_form button {
  color:#cc6d00;
  height:20px;
  line-height: 12px;
  font-size: 9pt;
  /*margin-top: 2px;*/
  padding:1px 5px 1px 5px;
  background:black;
  border: none;
  outline: none;
  /*opacity:0.6;*/
}

/*#logout_box #logout_form button {
}
#login_form button {
}*/
/*
#login_form .ui-icon-help {
  padding: 1px;
}
*/
#logout_box #logout_form button:hover, #login_form button:hover {
  color:#f78300;
}

#site-messages {
  max-width:820px;
  margin:0 auto 0 auto;
  padding:5px;
}

#recently_visited {display:inline}
#recently_visited span {padding-right:5px}

/*  Framework Widgets  */
#recently_visited {display:inline}
#recently_visited span {padding-right:5px;display:block}

.share_links {
  float: right;
  position:absolute;
  top:172px;
  right:3px;
  animation: fadein 2s;
  -moz-animation: fadein 2s; /* Firefox */
  -webkit-animation: fadein 2s; /* Safari and Chrome */
  -o-animation: fadein 2s; /* Opera */
}

@keyframes fadein {
    from {
        opacity:0;
        height:4px;
    }
    to {
        opacity:1;
        height:16px;
    }
}
@-moz-keyframes fadein { /* Firefox */
    from {
        opacity:0;
        height:4px;
    }
    to {
        opacity:1;
        height:16px;
    }
}
@-webkit-keyframes fadein { /* Safari and Chrome */
    from {
        opacity:0;
        height:4px;
    }
    to {
        opacity:1;
        height:16px;
    }
}
@-o-keyframes fadein { /* Opera */
    from {
        opacity:0;
        height:4px;
    }
    to {
        opacity:1;
        height:16px;
    }
}
.share_links img {
  height:16px;
}

.addform_row label {
    display:inline-block;
    width:150px;
}

.crud_form_field {
	min-height:30px;
  display:block;
}


.crud_form_field label {
	font-size:9pt;
	font-weight:bold;
	width:220px;
  margin-left: 5px;
  color:navy;
}

.crud_form_field:after {
  content: ".";
  display: block;
  height: 0;
  clear: both;
  visibility: hidden;
}

#captcha_container  {
  /*width:200px;*/
  font-size:10pt;
  color:silver;
  font-weight:none;

}

#captcha_container img {

  height:35px;

}

#captcha_result span {
  margin-left: 5px;
  padding-bottom: 5px;
}

/* these next few are fixes we need for the jquery ui css */
/*
input.ui-state-disabled[name=changetime],input.ui-state-disabled[name=addtime] {
  opacity:0.9;
}
.border-fix {
	margin:1px;
}

.option_buttons a {
  background-color:inherit;
  padding:0;
}

*/
/*.ui-widget-content {
  background:none;
}*/

.ui-icon {
	display:inline-block !important; /* jquery ui icons force line breaks w/o this */
}
/*.border-fix {
	margin:1px;
}*/

table.dataTable {

}
table.dataTable thead th {
  padding:1px 8px 0 3px !important;
  /*text-align: left;*/
  border-right:1px solid #cccccc;
  border-top:1px solid #cccccc;
  border-left:1px solid #cccccc;
  border-bottom: 1px solid #e6e6e6 !important;

  border-top-left-radius: 3px;
  border-top-right-radius: 3px;
  /*background:#f2f2f2 !important;*/
  box-shadow: 1px 2px 0 #cccccc;
}
#sort_table tbody td {
  position: relative;
  padding:3px 0 0 5px;
  border:1px solid #e6e6e6;
  vertical-align: top;
}

#sort_table tbody tr.even {
  background:#f2f2f2 !important;
}

#sort_table tbody td input[type=checkbox] {
  position: relative;
  /*top:-2px;*/
  /*transform: scale(0.8);*/

/*  max-width: 12px;
  max-height: 12px;*/
}

/*

*/
/* custom site definitions that grab this jquery ui themes * base colors and use them */
/*.ui_style label {
	font-weight:bold;
}*/

/*  Highlight button class to mimic ui_style buttons but highlighted */
.ui_style_bright, a.ui_style_bright {
	background-color: forestgreen;
	color:white;
	border: 1px solid lime;
	font-weight: bold;
	text-decoration: none;
	opacity:0.9;
	padding:0 5px 0 5px;
  border-radius: 6px 6px 6px 6px;
}

.ui_style_bright:hover {
	 opacity:1;
}

.ui_style a, a.ui_style {
	white-space:nowrap;
	font-size:10pt;
}

.ui-widget-content a {
    /* color: #333333; */
}

/* overrides for datatables */
/* make toolbars float right and left to not take up two lines*/
.data_table {
	width:100%;
}

#sort_table_wrapper {
  font-family: sans-serif;
  font-size: 10pt;
}

.data_table tr {
  background: url(/images/transpWhite50.png);
}

.dataTables_length   {float:left}
.dataTables_filter   {float:right}
.dataTables_info     {float:left}
.dataTables_paginate {float:right}
.DataTables_sort_wrapper {white-space:nowrap;cursor:pointer;}

#ui-datepicker-div {
  max-width:240px;
  z-index:889 !important;
}



/* Jquery timepicker addon to datepicker needs these to look right*/
.ui-timepicker-div .ui-widget-header{ margin-bottom: 8px; }
.ui-timepicker-div dl{ text-align: left; }
.ui-timepicker-div dl dt{ height: 25px; }
.ui-timepicker-div dl dd{ margin: -25px 0 10px 65px; }
.ui-timepicker-div .ui_tpicker_hour div { padding-right: 2px; }
.ui-timepicker-div .ui_tpicker_minute div { padding-right: 6px; }
.ui-timepicker-div .ui_tpicker_second div { padding-right: 6px; }
.ui-timepicker-div td { font-size: 90%; }

/*  fullcalendar prints day numbers in white, switch them to brown */
.fc-day-number {color:brown}

/*  ui-dialog boxes seem to be broken close icon and other s are aligned left */
.ui-dialog {font-size:11pt; border:1px solid silver}

/* style the .open_modal class that is used on links or elements that open a modal box on click  and the hidden content element for the model*/
.open_modal {cursor:pointer;}
.open_modal_content {display:none; }
